tigase.jaxmpp.gwt.client

## Interface JsonSerializationHelper.Serializable

- All Known Implementing Classes:
    GWTPresenceStore, GwtRosterStore
  Enclosing class:
    JsonSerializationHelper

      public static interface JsonSerializationHelper.Serializable

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `fromJSON(JsonSerializationHelper helper, com.google.gwt.core.client.JavaScriptObject obj)`
    `String` | `getJsonType()`
    `com.google.gwt.core.client.JavaScriptObject` | `toJSON()`

- - ### Method Detail

    - #### fromJSON

          Object fromJSON(JsonSerializationHelper helper,
                          com.google.gwt.core.client.JavaScriptObject obj)
                   throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getJsonType

          String getJsonType()

    - #### toJSON

          com.google.gwt.core.client.JavaScriptObject toJSON()
                                                      throws XMLException

      Throws:
        `XMLException`

Copyright © 2006–2020 Tigase. All rights reserved.